package iface

import (
	"context"

	"github.com/Neur0toxine/sshpoke/internal/config"
	"github.com/Neur0toxine/sshpoke/pkg/dto"
)

type DriverConstructor func(ctx context.Context, name string, params config.DriverParams) (Driver, error)

type Driver interface {
	Name() string
	Handle(event dto.Event) error
	Driver() config.DriverType
	WaitForShutdown()
}
